package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 专业科目对应表
* @author: zxq
* @date: 2019-01-15 21:35:03
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "SCHOOL_ASPECT_SUBJECT", keyColumn =  "ASPECT_ID" , sequenceName = "")
public class SchoolAspectSubject implements Serializable{
	private static final long serialVersionUID = 8386640490021281256L;
	//专业内部编号
	private Integer aspect_id;
	//科目备注（内部用）
	private String subject_desc;
	//科目内部编号
	private Integer subject_id;
	//科目名称
	private String subject_name;
	//科目描述，给考生用
	private String subject_notice;
	//科目总分
	private Integer subject_score;
	//科目类型
	private String subject_type;

	/****
	 * 专业内部编号
	 */
	public Integer getAspect_id() {
		return this.aspect_id;
	}

	/****
	 * 专业内部编号
	 */
	public void setAspect_id(Integer aspect_id) {
		this.aspect_id = aspect_id;
	}

	/****
	 * 科目备注（内部用）
	 */
	public String getSubject_desc() {
		return this.subject_desc;
	}

	/****
	 * 科目备注（内部用）
	 */
	public void setSubject_desc(String subject_desc) {
		this.subject_desc = subject_desc;
	}

	/****
	 * 科目内部编号
	 */
	public Integer getSubject_id() {
		return this.subject_id;
	}

	/****
	 * 科目内部编号
	 */
	public void setSubject_id(Integer subject_id) {
		this.subject_id = subject_id;
	}

	/****
	 * 科目名称
	 */
	public String getSubject_name() {
		return this.subject_name;
	}

	/****
	 * 科目名称
	 */
	public void setSubject_name(String subject_name) {
		this.subject_name = subject_name;
	}

	/****
	 * 科目描述，给考生用
	 */
	public String getSubject_notice() {
		return this.subject_notice;
	}

	/****
	 * 科目描述，给考生用
	 */
	public void setSubject_notice(String subject_notice) {
		this.subject_notice = subject_notice;
	}

	/****
	 * 科目总分
	 */
	public Integer getSubject_score() {
		return this.subject_score;
	}

	/****
	 * 科目总分
	 */
	public void setSubject_score(Integer subject_score) {
		this.subject_score = subject_score;
	}

	/****
	 * 科目类型
	 */
	public String getSubject_type() {
		return this.subject_type;
	}

	/****
	 * 科目类型
	 */
	public void setSubject_type(String subject_type) {
		this.subject_type = subject_type;
	}


}